View Issue Details

IDProjectCategoryView StatusLast Update
0001015bareos-core[All Projects] webuipublic2021-08-30 11:52
ReporterGordon KlimmAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSDebianOS Version9
Product Version17.2.4 
Fixed in Version 
Summary0001015: pool name "1Test" throws 404 Error
DescriptionWhen naming using a pool "1Test", webui throws a 404: "the requested URL could not be matched by routing."

Pool Names starting with a number throw this error.

bconsole behaves fine.
Steps To Reproduce1) create a pool according to this:

   Pool { Name=1ThisWillFail }

2) reload config

3) try to access pool "1ThisWillFail" using webui
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

related to 0001251 resolvedfrank Error when displaying pool detail 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-10-01 12:05 Gordon Klimm New Issue
2018-10-10 11:13 frank Status new => assigned
2018-10-10 11:13 frank Assigned To => frank
2021-08-06 11:58 frank Status assigned => confirmed
2021-08-06 11:59 frank Relationship added related to 0001251
2021-08-30 11:52 frank Assigned To frank =>
2021-08-30 11:52 frank Status confirmed => resolved
2021-08-30 11:52 frank Resolution open => fixed